oracle.kv

## Enum ReturnValueVersion.Choice

- java.lang.Object
- - java.lang.Enum<ReturnValueVersion.Choice>
  - - oracle.kv.ReturnValueVersion.Choice

- All Implemented Interfaces:
    Serializable, Comparable<ReturnValueVersion.Choice>
  Enclosing class:
    ReturnValueVersion

      public static enum ReturnValueVersion.Choice
      extends Enum<ReturnValueVersion.Choice>

  Specifies whether to return the value, version, both or neither.

  For best performance, it is important to choose only the properties that are required. The KV Store is optimized to avoid I/O when the requested properties are in cache.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Return both the value and the version.
    `NONE` Do not return the value or the version.
    `VALUE` Return the value only.
    `VERSION` Return the version only.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReturnValueVersion.Choice` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ReturnValueVersion.Choice[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VALUE

          public static final ReturnValueVersion.Choice VALUE

      Return the value only.

    - #### VERSION

          public static final ReturnValueVersion.Choice VERSION

      Return the version only.

    - #### ALL

          public static final ReturnValueVersion.Choice ALL

      Return both the value and the version.

    - #### NONE

          public static final ReturnValueVersion.Choice NONE

      Do not return the value or the version.

  - ### Method Detail

    - #### values

          public static ReturnValueVersion.Choice[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReturnValueVersion.Choice c : ReturnValueVersion.Choice.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReturnValueVersion.Choice valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.